@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&family=Poppins:wght@500;600&display=swap");

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block
}

body {
    line-height: 1
}

ol,
ul {
    list-style: none
}

blockquote,
q {
    quotes: none
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none
}

table {
    border-collapse: collapse;
    border-spacing: 0
}

button {
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit
}

a {
    text-decoration: none;
    border: none;
    color: currentColor
}

@keyframes fade {
    from {
        opacity: 0
    }

    to {
        opacity: 1;
        visibility: visible
    }
}

@keyframes showDown {
    from {
        opacity: 0;
        transform: translateY(-200%)
    }

    to {
        opacity: 1;
        transform: translateY(0)
    }
}

@keyframes backgroundScale {
    to {
        background-color: #D92525;
        ;
        transform: scale(1.1)
    }
}

@keyframes scaleDelayed {
    0% {
        transform: scale(1)
    }

    50% {
        transform: scale(1.1)
    }

    100% {
        transform: scale(1)
    }
}

:root {
    font-size: 62.5%;
    scroll-behavior: smooth
}

@media (max-width: 480px) {
    :root {
        font-size: 55%
    }
}

@media (max-width: 860px) {
    :root {
        font-size: 57%
    }
}

@media (max-width: 992px) {
    :root {
        font-size: 59%
    }
}

@media (max-width: 1200px) {
    :root {
        font-size: 61%
    }
}

:root body {
    font-size: 1.6rem
}

.hidden {
    display: none !important
}

.container {
    margin-right: auto;
    margin-left: auto;
    width: 90%
}

::-webkit-scrollbar {
    width: 1.4rem
}

::-webkit-scrollbar-track {
    background: #13131F
}

::-webkit-scrollbar-thumb {
    background: #D92525;
}

body {
    background-color: #13131F
}

header {
    position: sticky;
    top: 0;
    z-index: 100;
    background-color: #13131F
}

header.open {
    background-color: rgba(0, 0, 0, 0.65);
    backdrop-filter: blur(10px)
}

header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2.5rem 0;
    flex-wrap: wrap
}

header .container .menu i {
    font-size: 2rem;
    color: #D92525;
    ;
    cursor: pointer;
    padding: 0.5rem;
    border-radius: 50%
}

header .container .menu i:hover {
    background-color: #D92525;
    ;
    color: #13131F;
}

header .container h2 {
    font-family: 'DM Sans', sans-serif;
    font-size: 2.6rem;
    font-weight: bold;
    color: #F9F9F9
}

header .container .toggle {
    display: flex
}

header .container .toggle input {
    opacity: 0;
    position: absolute
}

header .container .toggle input:checked+.label .box {
    transform: translateX(4rem)
}

@media (max-width: 480px) {
    header .container .toggle input:checked+.label .box {
        transform: translateX(2rem)
    }
}

header .container .toggle input:checked+.label {
    background-color: #F9F9F9;
}

header .container .toggle .label {
    display: flex;
    background: #8C1F28;
    width: 6rem;
    border-radius: 2rem;
    padding: 0.3rem;
    cursor: pointer;
    transition: background-color 0.5s
}

@media (max-width: 480px) {
    header .container .toggle .label {
        width: 4rem
    }
}

header .container .toggle .label .box {
    background-color: #13131F;
    height: 2rem;
    width: 2rem;
    border-radius: 50%;
    transition: 0.5s
}

@media (max-width: 480px) {
    header .container .toggle .label .box {
        height: 1.5rem;
        width: 1.5rem
    }
}

header::after {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 0.1rem;
    background-image: linear-gradient(90deg, #D92525 0%, #8C1F28 .32%)
}

section#sobre {
    padding-bottom: 11.25rem
}

@media (max-width: 480px) {
    section#sobre {
        padding-bottom: 5rem
    }
}

section#sobre .container {
    display: flex;
    flex-direction: column
}

section#sobre .banner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10rem 2.5rem
}

@media (max-width: 480px) {
    section#sobre .banner {
        flex-wrap: wrap-reverse;
        justify-content: center;
        padding-top: 5rem;
        text-align: center
    }
}

@media (max-width: 480px) {
    section#sobre .banner .profile {
        text-align: center
    }
}

section#sobre .banner .profile img {
    cursor: pointer;
    transition: 0.2s;
    max-width: 100%;
    animation: scaleDelayed 1s 6.5s
}

section#sobre .banner .profile img:hover {
    transform: scale(1.1)
}

@media (max-width: 860px) {
    section#sobre .banner .profile img {
        width: 30rem
    }
}

@media (max-width: 660px) {
    section#sobre .banner .profile img {
        width: 19rem
    }
}

@media (max-width: 480px) {
    section#sobre .banner .profile img {
        width: 60%;
        margin-bottom: 2.5rem
    }
}

section#sobre .banner .intro {
    display: flex;
    flex-direction: column;
    gap: 2.5rem
}

section#sobre .banner .intro .title {
    display: flex;
    flex-direction: column;
    gap: 0.5rem
}

section#sobre .banner .intro .title h1 {
    font-family: 'Poppins', sans-serif;
    font-size: 4.2rem;
    font-weight: 500;
    color: #F9F9F9;
    line-height: 5.4rem
}

@media (max-width: 860px) {
    section#sobre .banner .intro .title h1 {
        font-size: clamp(2rem, 5vw, 4rem) !important;
        line-height: 120% !important
    }
}

@media (max-width: 480px) {
    section#sobre .banner .intro .title h1 {
        font-size: clamp(3.6rem, 10vw, 4.2rem) !important;
        line-height: 120% !important
    }
}

section#sobre .banner .intro .title span {
    font-family: 'Poppins', sans-serif;
    font-size: 4.2rem;
    font-weight: 500;
    color: #F9F9F9;
    line-height: 5.4rem;
    display: block;
    color: #D92525;
}

@media (max-width: 860px) {
    section#sobre .banner .intro .title span {
        font-size: clamp(2rem, 5vw, 4rem) !important;
        line-height: 120% !important
    }
}

@media (max-width: 480px) {
    section#sobre .banner .intro .title span {
        font-size: clamp(3.6rem, 10vw, 4.2rem) !important;
        line-height: 130% !important
    }
}

section#sobre .banner .intro .title p {
    font-family: 'DM Sans', sans-serif;
    font-size: 2rem;
    font-weight: 500;
    color: #828282
}

@media (max-width: 860px) {
    section#sobre .banner .intro .title p {
        font-size: clamp(1.4rem, 2.3vw, 1.8rem) !important;
        line-height: 120% !important
    }
}

@media (max-width: 480px) {
    section#sobre .banner .intro .title p {
        font-size: clamp(1rem, 8vw, 1.8rem) !important;
        line-height: 150% !important
    }
}

section#sobre .banner .intro .actions {
    display: flex;
    gap: 2.5rem
}

@media (max-width: 480px) {
    section#sobre .banner .intro .actions {
        justify-content: center;
        flex-wrap: wrap
    }
}

section#sobre .banner .intro .actions a {
    font-family: 'DM Sans', sans-serif;
    font-size: 1.4rem;
    font-weight: 500;
    color: #F9F9F9;
    padding: 1.2rem 2.7rem;
    background-image: linear-gradient(90deg, #591C21.2%, #586b76 100%);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 2rem;
    transition: 0.3s
}

section#sobre .banner .intro .actions a:nth-child(2) {
    background-image: none;
    border: 0.1rem solid #D92525;
}

section#sobre .banner .intro .actions a:hover {
    background-image: linear-gradient(90deg, #586b76 100%, #591C21.2%);
    transform: scale(0.95)
}

@media (max-width: 860px) {
    section#sobre .banner .intro .actions a {
        font-size: clamp(1.2rem, 2vw, 1rem) !important;
        padding: 1.2rem 1.5rem !important;
        border-radius: 2rem
    }
}

@media (max-width: 660px) {
    section#sobre .banner .intro .actions a {
        font-size: clamp(1.1rem, 1.5vw, 1rem) !important;
        padding: 1rem 1rem !important
    }
}

@media (max-width: 480px) {
    section#sobre .banner .intro .actions a {
        width: 100% !important;
        font-size: 1.6rem !important;
        padding: 1.4rem 2.5rem !important
    }
}

section#sobre .about {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2.5rem
}

section#sobre .about h2 {
    font-family: 'DM Sans', sans-serif;
    font-size: 3.2rem;
    color: #F9F9F9;
    font-weight: 600
}

section#sobre .about p {
    color: #828282;
    font-family: 'DM Sans', sans-serif;
    font-size: 1.8rem;
    text-align: center;
    width: 55%;
    line-height: 180%
}

@media (max-width: 1200px) {
    section#sobre .about p {
        width: 100%
    }
}

@media (max-width: 660px) {
    section#sobre .about p {
        font-size: 1.6rem
    }
}

section#skills {
    margin: 2.5rem 0 10rem 0
}

section#skills .skills .container {
    display: flex;
    flex-direction: column;
    align-items: center
}

section#skills .skills .container h2 {
    font-family: 'DM Sans', sans-serif;
    font-size: 3.2rem;
    color: #F9F9F9;
    font-weight: 600;
    margin-bottom: 10rem
}

@media (max-width: 480px) {
    section#skills .skills .container h2 {
        margin-bottom: 5rem
    }
}

section#skills .skills .container .cards {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 5rem
}

@media (max-width: 992px) {
    section#skills .skills .container .cards {
        flex-wrap: wrap;
        justify-content: center
    }
}

section#skills .skills .container .cards .box {
    position: relative;
    text-align: center;
    background-color: #212121;
    width: 12rem;
    aspect-ratio: 1;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-top-left-radius: 2.5rem;
    cursor: pointer;
    transition: 0.2s
}

section#skills .skills .container .cards .box p {
    font-family: 'DM Sans', sans-serif;
    font-size: 1.6rem;
    font-weight: 500;
    color: #D92525;
    ;
    margin-bottom: 1.5rem
}

section#skills .skills .container .cards .box img {
    width: 4rem
}

section#skills .skills .container .cards .box::after {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 0.3rem;
    background-image: linear-gradient(90deg, #D92525 0%, #8C1F28 92.32%);
    bottom: -0.1rem;
    left: 0
}

section#skills .skills .container .cards .box:hover {
    transform: scale(1.1)
}

section#contacts {
    margin: 2.5rem 0 30rem 0
}

section#contacts .contacts {
    margin-top: 7.5rem
}

section#contacts .contacts .container {
    display: flex;
    flex-direction: column;
    align-items: center
}

section#contacts .contacts .container h2 {
    font-family: 'DM Sans', sans-serif;
    font-size: 3.2rem;
    color: #F9F9F9;
    font-weight: 600;
    margin-bottom: 10rem
}

section#contacts .contacts .icons {
    display: flex;
    flex-wrap: wrap;
    gap: 7.5rem;
    justify-content: center
}

section#contacts .contacts .icons .icon {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: 0.2s
}

section#contacts .contacts .icons .icon:hover {
    transform: scale(1.2)
}

section#contacts .contacts .icons .icon a {
    width: fit-content
}

section#contacts .contacts .icons .icon a:first-child {
    margin-bottom: 2rem
}

section#contacts .contacts .icons .icon a:nth-child(2) {
    margin-bottom: 1rem
}

section#contacts .contacts .icons .icon a:last-child p {
    font-size: 1.6rem;
    font-weight: 500;
    color: #828282
}

section#contacts .contacts .icons .icon a p {
    font-family: 'DM Sans', sans-serif;
    font-size: 1.8rem;
    font-weight: bold;
    color: #F9F9F9
}

section#contacts .contacts .icons .icon .box {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #212121;
    border-radius: 50%
}

section#contacts .contacts .icons .icon .box img {
    padding: 1.5rem
}

section#projects .container {
    display: flex;
    flex-direction: column;
    padding-bottom: 10rem
}

section#projects .container h2 {
    font-family: 'DM Sans', sans-serif;
    font-size: 3.2rem;
    color: #F9F9F9;
    font-weight: 600;
    text-align: center
}

section#projects .container h3 {
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    font-size: 2.4rem;
    color: #F9F9F9;
    position: relative;
    display: inline-block;
    margin-block: 10rem 5rem
}

section#projects .container h3::after {
    content: "";
    display: block;
    position: absolute;
    width: 75%;
    height: 0.3rem;
    border-radius: 2rem;
    margin-top: 0.8rem;
    background-image: linear-gradient(90deg, #D92525 0%, #A40EE4 92.32%)
}

section#projects .container .cards-projects {
    display: flex;
    gap: 3.75rem;
    flex-wrap: wrap;
    align-items: center
}

section#projects .container .cards-projects .box {
    transition: 0.3s;
    min-width: 30%
}

section#projects .container .cards-projects .box:hover {
    transform: scale(1.2);
    position: relative;
    z-index: 2
}

@media (max-width: 480px) {
    section#projects .container .cards-projects .box:hover {
        transform: scale(1.05)
    }
}

section#projects .container .cards-projects .box .cover {
    position: relative;
    cursor: pointer
}

section#projects .container .cards-projects .box .cover::after {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 0.3rem;
    bottom: 0.1rem;
    background-image: linear-gradient(90deg, #D92525 0%, #8C1F28 92.32%)
}

section#projects .container .cards-projects .box .cover::before {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.65)
}

section#projects .container .cards-projects .box .cover .details {
    position: absolute;
    width: 100%;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    align-items: center
}

section#projects .container .cards-projects .box .cover .details p {
    font-family: 'Poppins', sans-serif;
    font-size: 1.8rem;
    font-weight: 500;
    color: #F9F9F9;
    margin-bottom: 1rem
}

section#projects .container .cards-projects .box .cover>img {
    width: 100%
}

section#projects .container .cards-projects .box .description {
    background-color: #212121;
    padding: 1.5rem 2rem 1.2rem 2rem;
    display: none;
    position: absolute;
    width: 90%;
    align-items: center;
    justify-content: space-between;
    border-radius: 0 0 2rem 2rem;
    cursor: pointer
}

@media (max-width: 860px) {
    section#projects .container .cards-projects .box .description {
        width: 88%
    }
}

@media (max-width: 480px) {
    section#projects .container .cards-projects .box .description {
        width: 90%
    }
}

section#projects .container .cards-projects .box .description p {
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    font-size: 1.1rem;
    color: #F9F9F9
}

section#projects .container .cards-projects .box .description a {
    display: inline-block;
    width: fit-content;
    color: #F9F9F9;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    font-size: 1.1rem;
    padding: 0.5rem 1.5rem;
    border: 0.1rem solid #D92525;
    ;
    border-radius: 2rem;
    animation: backgroundScale 1s 0.5s forwards
}

section#projects .container .cards-projects .box:hover .details,
section#projects .container .cards-projects .box:hover .cover::before {
    display: none;
    visibility: hidden;
    animation: fade 1s
}

section#projects .container .cards-projects .box:hover .description {
    display: flex;
    animation: showDown 0.5s forwards;
    z-index: -50
}

@media (max-width: 992px) {
    section#projects .container .cards-projects .box {
        width: 40vw
    }
}

@media (max-width: 480px) {
    section#projects .container .cards-projects .box {
        width: 100%
    }
}

.js-section {
    opacity: 0;
    transition: 0.5s;
    transform: translateX(-10rem)
}

.js-section.active {
    transform: translateX(0);
    opacity: 1
}

.menuOpen {
    position: fixed;
    width: 100%;
    z-index: 200;
    background-color: rgba(0, 0, 0, 0.65);
    backdrop-filter: blur(10px);
    top: 9%;
    height: 100vh;
    animation: appearField 1s;
    font-family: 'Poppins', sans-serif;
    display: flex;
    flex-direction: column;
    padding-top: 7.5rem;
    align-items: center;
    animation: fade 1s
}

.menuOpen h2 {
    color: #D92525;
    ;
    font-weight: 600;
    font-size: 3.8rem
}

@media (max-width: 660px) {
    .menuOpen h2 {
        font-size: clamp(1.6rem, 6vw, 3rem) !important
    }
}

.menuOpen nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 10rem;
    gap: 3.75rem;
    height: 100%
}

@media (max-width: 480px) {
    .menuOpen nav {
        gap: 7.5rem
    }
}

.menuOpen nav a {
    cursor: pointer;
    text-decoration: none;
    color: #F9F9F9;
    font-size: 3.8rem;
    transition: 0.3s
}

.menuOpen nav a:hover {
    color: #D92525;
    ;
    transform: scale(1.4)
}

@media (max-width: 480px) {
    .menuOpen nav a {
        font-size: 3rem
    }
}

.modal {
    display: flex;
    flex-direction: column;
    width: 75%;
    padding: 2.5rem;
    gap: 2.5rem;
    background-color: #13131F;
    border-radius: 1rem;
    animation: fade 1s;
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 5;
    transform: translate(-50%, -50%)
}

@media (max-width: 860px) {
    .modal {
        width: 85%;
        height: 80%;
        top: 53%
    }
}

@media (max-width: 480px) {
    .modal {
        width: 85%;
        height: 80%;
        top: 55%
    }
}

.modal .top {
    display: flex;
    gap: 3.75rem
}

@media (max-width: 992px) {
    .modal .top {
        flex-wrap: wrap-reverse
    }
}

@media (max-width: 860px) {
    .modal .top {
        gap: 0
    }
}

@media (max-width: 992px) {
    .modal .top .video {
        display: flex;
        justify-content: center
    }
}

.modal .top .video iframe {
    width: 60rem;
    height: 35rem
}

@media (max-width: 1200px) {
    .modal .top .video iframe {
        width: 40rem
    }
}

@media (max-width: 992px) {
    .modal .top .video iframe {
        width: 70rem
    }
}

@media (max-width: 860px) {
    .modal .top .video iframe {
        width: 53rem
    }
}

@media (max-width: 660px) {
    .modal .top .video iframe {
        width: 38rem;
        height: 20rem;
        margin-top: 2.5rem
    }
}

@media (max-width: 480px) {
    .modal .top .video iframe {
        display: none
    }
}

.modal .top .info {
    display: flex;
    flex-direction: column;
    justify-content: space-around
}

.modal .top .info .title {
    display: flex;
    justify-content: space-between;
    align-items: center
}

.modal .top .info .title h2 {
    font-family: 'Poppins', sans-serif;
    font-size: 3.2rem;
    font-weight: 500;
    color: #D92525;
}

.modal .top .info .title i {
    cursor: pointer;
    font-size: 2.8rem;
    color: #D92525;
}

.modal .top .info p {
    font-family: 'DM Sans', sans-serif;
    font-size: 1.4rem;
    font-weight: 500;
    color: #828282;
    line-height: 140%;
    padding: 1rem 0
}

.modal .top .info span {
    font-family: 'DM Sans', sans-serif;
    font-size: 1.4rem;
    font-weight: 500;
    color: #8C1F28;
}

.modal .links {
    display: flex;
    gap: 2.5rem
}

@media (max-width: 480px) {
    .modal .links {
        flex-wrap: wrap;
        gap: 1.25rem
    }
}

.modal .links a {
    display: inline-block;
    width: fit-content;
    color: #F9F9F9;
    font-family: 'Poppins', sans-serif;
    font-weight: 500;
    font-size: 1.1rem;
    padding: 1rem 1.5rem;
    background-image: linear-gradient(90deg, #591C21 .2%, #7930bea5 100%);
    border-radius: 0.5rem
}

@media (max-width: 480px) {
    .modal .links a {
        width: 100%;
        text-align: center
    }
}

body.transparent::after {
    content: "";
    width: 100%;
    height: 1000%;
    background-color: rgba(0, 0, 0, 0.65);
    backdrop-filter: blur(3px);
    display: block;
    top: 0;
    left: 0;
    position: absolute;
    z-index: 0;
    animation: fade 1s
}

body.light-mode {
    background-color: #F9F9F9
}

body.light-mode header {
    background-color: #13131F
}

body.light-mode header h2 {
    color: #F9F9F9 !important
}

body.light-mode .banner h1 {
    color: #13131F !important
}

body.light-mode .banner span {
    color: #13131F !important
}

body.light-mode .banner .actions a:nth-child(2) {
    color: #13131F !important
}

body.light-mode .banner .actions a:nth-child(2):hover {
    color: #F9F9F9 !important
}

body.light-mode h2,
body.light-mode h3 {
    color: #13131F !important
}

body.light-mode .contacts p {
    color: #13131F !important
}

body.light-mode .modal h2 {
    color: #D92525 !important
}

body.light-mode .menuOpen h2 {
    color: #F9F9F9 !important
}

footer {
    margin: 0%;
    font-family: 'DM Sans';
    padding: 5px;
    text-align: center;
    color: white;
    background-color: #8C1F28;
    display: block;
}

footer a {
    font-weight: bolder;
}

footer a:hover {
    text-decoration: underline;
}